Skip to content
Myra Online Help Updated · 21 Aug 2026

Adding an IP filter entry

Note

If the optional attributes are not set, the system adds a default value.

Note

The body does not contain the attributes id, created, and modified. The values of these attributes are set by the system after the entries are created.

Sends a POST request to the endpoint /domain/{domainId}/ip-filters/{name}.

Description

The Add-IP-Filter request allows the user to add an IP filter entry for the IP filters of a subdomain of the organisation.

Requirements

Values of the request: Domain-ID {domainId}, Subdomain name {name}

Objects: IpFilterVO

Request

To add one or more IP filter entries for a subdomain, the Domain-ID {domainId} and the Subdomain name {name} need to be added to the path of the request.

For a detailed specification of which information is required to add an IP filter entry, one or more objects IpFilterVO with the following attributes need to be defined in the body:

Attributes Description Values
value The values in the format of an IP address or CIDR notation for the IP filter.
  • Single IP address
  • CIDR notation
  • Range of IP addresses
type The type of the IP filter entry.
  • WHITELIST
  • BLACKLIST
  • WHITELIST_REQUEST_LIMITER

The following attributes are optional:

Attributes Description Values
SubdomainName The name of the subdomain for which the IP filter entry is used. string
enabled The availability of the entry.
  • true
  • false

The system responds by returning the object IpFilterVO with the information about the new entry.

Example

Example request body:

{
  "objectType": "string",
  "value": "string",
  "type": "string",
  "expireDate": "string",
  "subDomainName": "string",
  "comment": "string",
  "enabled": true
}

Responses

The following responses are available:

STATUS CODE DESCRIPTION
201 The request has succeeded and a new object has been created.
400 The request was unsuccessful. The request was invalid or information is missing.
401 The request has not succeeded because the user authentication was incorrect.
403 The request has not succeeded because the user does not have the right permissions.